/*
 * base.c
 *
 *  Created on: 20.04.2017
 *      Author: robert
 */
#include "base.h"


EPS_ErrorType base_init(base_t* const self) {
    EPS_ErrorType retCode = EPS_E_OK;

    if (self == NULL)
    {
        retCode =  EPS_E_NULLPTR;

    }
    else
    {
        retCode = EPS_E_OK;
    }

    return retCode;

}



EPS_ErrorType base_pre(base_t* const self) {
    EPS_ErrorType retCode = EPS_E_OK;

    if (self == NULL)
    {
        retCode =  EPS_E_NULLPTR;

    }
    else
    {
        retCode = EPS_E_OK;
    }

    return retCode;

}



EPS_ErrorType base_work(base_t* const self) {
    EPS_ErrorType retCode = EPS_E_OK;

    if (self == NULL)
    {
        retCode =  EPS_E_NULLPTR;

    }
    else
    {
        retCode = EPS_E_OK;
    }

    return retCode;

}



EPS_ErrorType base_post(base_t* const self) {
    EPS_ErrorType retCode = EPS_E_OK;

    if (self == NULL)
    {
        retCode =  EPS_E_NULLPTR;

    }
    else
    {
        retCode = EPS_E_OK;
    }

    return retCode;

}



EPS_ErrorType base_idle(base_t* const self) {
    EPS_ErrorType retCode = EPS_E_OK;

    if (self == NULL)
    {
        retCode =  EPS_E_NULLPTR;

    }
    else
    {
        retCode = EPS_E_OK;
    }

    return retCode;

}

